Bug 1288884 - [abrt] konsole5: QMetaCallEvent::~QMetaCallEvent(): konsole killed by SIGABRT
[abrt] konsole5: QMetaCallEvent::~QMetaCallEvent(): konsole killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: konsole5 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:48f5d2605d043a3a7efb69f1e05...
:
: 1316726 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 16:46 EST by Chris Hubick
Modified: 2016-12-20 11:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:42:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.32 KB, text/plain)
2015-12-06 16:46 EST, Chris Hubick
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-06 16:46 EST, Chris Hubick
no flags Details
File: core_backtrace (6.01 KB, text/plain)
2015-12-06 16:46 EST, Chris Hubick
no flags Details
File: dso_list (14.70 KB, text/plain)
2015-12-06 16:46 EST, Chris Hubick
no flags Details
File: environ (1.81 KB, text/plain)
2015-12-06 16:46 EST, Chris Hubick
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-06 16:46 EST, Chris Hubick
no flags Details
File: maps (72.27 KB, text/plain)
2015-12-06 16:46 EST, Chris Hubick
no flags Details
File: mountinfo (3.40 KB, text/plain)
2015-12-06 16:46 EST, Chris Hubick
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-06 16:46 EST, Chris Hubick
no flags Details
File: open_fds (326 bytes, text/plain)
2015-12-06 16:46 EST, Chris Hubick
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2015-12-06 16:46 EST, Chris Hubick
no flags Details
File: var_log_messages (311 bytes, text/plain)
2015-12-06 16:46 EST, Chris Hubick
no flags Details

  None (edit)
Description Chris Hubick 2015-12-06 16:46:18 EST
Description of problem:
I hit the window close button on the upper right of the title bar.

Version-Release number of selected component:
konsole5-15.08.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/konsole
crash_function: QMetaCallEvent::~QMetaCallEvent
executable:     /usr/bin/konsole
global_pid:     2890
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 QMetaCallEvent::~QMetaCallEvent at kernel/qobject.cpp:468
 #8 QCoreApplication::removePostedEvents at kernel/qcoreapplication.cpp:1670
 #9 QObjectPrivate::~QObjectPrivate at kernel/qobject.cpp:235
 #11 QScopedPointerDeleter<QObjectData>::cleanup at ../../src/corelib/tools/qscopedpointer.h:54
 #12 QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::~QScopedPointer at ../../src/corelib/tools/qscopedpointer.h:101
 #13 QObject::~QObject at kernel/qobject.cpp:883
 #14 QXcbConnection::~QXcbConnection at qxcbconnection.cpp:649
 #15 qDeleteAll<QList<QXcbConnection*>::const_iterator> at ../../../../src/corelib/tools/qalgorithms.h:317
 #16 qDeleteAll<QList<QXcbConnection*> > at ../../../../src/corelib/tools/qalgorithms.h:325
 #17 QXcbIntegration::~QXcbIntegration at qxcbintegration.cpp:190
Comment 1 Chris Hubick 2015-12-06 16:46:22 EST
Created attachment 1102911 [details]
File: backtrace
Comment 2 Chris Hubick 2015-12-06 16:46:23 EST
Created attachment 1102912 [details]
File: cgroup
Comment 3 Chris Hubick 2015-12-06 16:46:24 EST
Created attachment 1102913 [details]
File: core_backtrace
Comment 4 Chris Hubick 2015-12-06 16:46:25 EST
Created attachment 1102914 [details]
File: dso_list
Comment 5 Chris Hubick 2015-12-06 16:46:26 EST
Created attachment 1102915 [details]
File: environ
Comment 6 Chris Hubick 2015-12-06 16:46:27 EST
Created attachment 1102916 [details]
File: limits
Comment 7 Chris Hubick 2015-12-06 16:46:28 EST
Created attachment 1102917 [details]
File: maps
Comment 8 Chris Hubick 2015-12-06 16:46:29 EST
Created attachment 1102918 [details]
File: mountinfo
Comment 9 Chris Hubick 2015-12-06 16:46:30 EST
Created attachment 1102919 [details]
File: namespaces
Comment 10 Chris Hubick 2015-12-06 16:46:31 EST
Created attachment 1102920 [details]
File: open_fds
Comment 11 Chris Hubick 2015-12-06 16:46:32 EST
Created attachment 1102921 [details]
File: proc_pid_status
Comment 12 Chris Hubick 2015-12-06 16:46:32 EST
Created attachment 1102922 [details]
File: var_log_messages
Comment 13 Dan DeRemer 2016-03-10 17:30:34 EST
*** Bug 1316726 has been marked as a duplicate of this bug. ***
Comment 14 Fedora End Of Life 2016-11-24 09:01:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:42:07 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.